Summary:        Object-oriented implementation of Sender Policy Framework
Name:           perl-Mail-SPF
Version:        2.9.0
Release:        5%{?dist}
License:        BSD
URL:            https://metacpan.org/release/Mail-SPF
Source0:        https://cpan.metacpan.org/authors/id/J/JM/JMEHNLE/mail-spf/Mail-SPF-v%{version}.tar.gz
Patch3000:      Mail-SPF-v2.8.0-POD.patch
Patch3001:      Mail-SPF-v2.8.0-testsuite.patch

BuildRequires: perl(Net::DNS::Resolver::Programmable) >= 0.003 perl(Net::DNS::RR) perl(Test::More)
BuildRequires: perl(URI::Escape) perl(utf8) perl(warnings) perl(blib)
BuildRequires: perl(overload) perl(strict) perl(Sys::Hostname) perl(URI) >= 1.13
BuildRequires: perl(Net::DNS::Resolver) perl(NetAddr::IP) >= 4
BuildRequires: perl(base) perl(constant) perl(Error) perl(Net::DNS) >= 0.62
BuildRequires: coreutils perl-interpreter perl-generators perl(Module::Build) perl(version)
BuildRequires: perl(Test::Pod) >= 1.00

Requires:       perl(Net::DNS) >= 0.62
Requires:       perl(URI) >= 1.13

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives

BuildArch:      noarch

%description
Mail::SPF is an object-oriented implementation of Sender Policy Framework
(SPF). See http://www.openspf.org for more information about SPF.

%prep
%autosetup -p0 -n Mail-SPF-v%{version}
chmod -x bin/* sbin/*

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*
mv -f %{buildroot}%{_bindir}/spfquery %{buildroot}%{_bindir}/spfquery.%{name}
mv -f %{buildroot}%{_sbindir}/spfd %{buildroot}%{_bindir}/spfd.%{name}
mv -f %{buildroot}%{_mandir}/man1/spfquery.1 %{buildroot}%{_mandir}/man1/spfquery-%{name}.1
touch %{buildroot}%{_bindir}/spfquery %{buildroot}%{_bindir}/spfd %{buildroot}%{_mandir}/man1/spfquery.1.gz

%check
./Build test

%post
%{_sbindir}/update-alternatives --install %{_bindir}/spfquery spf %{_bindir}/spfquery.%{name} 10 \
	--slave %{_bindir}/spfd spf-daemon %{_bindir}/spfd.%{name} \
	--slave %{_mandir}/man1/spfquery.1.gz spfquery-man-page %{_mandir}/man1/spfquery-%{name}.1.gz

%postun
if [ $1 -eq 0 ] ; then
	%{_sbindir}/update-alternatives --remove spf %{_bindir}/spfquery.%{name}
fi

%files
%license LICENSE
%doc CHANGES README TODO bin/ sbin/
%{_bindir}/spfquery.%{name}
%{_bindir}/spfd.%{name}
%ghost %{_bindir}/spfquery
%ghost %{_bindir}/spfd
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%ghost %{_mandir}/man1/spfquery.1.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.9.0-3
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 07 2023 cunshunxia <cunshunxia@tencent.com> - 2.9.0-1
- initial build
